summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorIngo Meyer2021-07-17 10:24:58 +0200
committerIngo Meyer2021-07-17 10:30:14 +0200
commitdd54bcad3fb861ce41eaaca76ecf63348b434fba (patch)
tree1a201db5b8ea8d30ef75d2484548b51aac4eb2f1
downloadaur-dd54bcad3fb861ce41eaaca76ecf63348b434fba.tar.gz
Publish version `v0.1.0` of `python-detect-direct-checkins`
-rw-r--r--.SRCINFO13
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD26
3 files changed, 43 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..02daeddddbd
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = python-detect-direct-checkins
+ pkgdesc = A utility which detects direct checkins on specific branches.
+ pkgver = 0.1.0
+ pkgrel = 1
+ url = https://github.com/IngoMeyer441/detect-direct-checkins
+ arch = any
+ license = MIT
+ makedepends = python-setuptools
+ depends = python
+ source = https://github.com/IngoMeyer441/detect-direct-checkins/archive/v0.1.0.tar.gz
+ sha256sums = 3c8a35072890b3c55ab40aa318f4a107ad5bc61381538524e16d65f2db13e4b2
+
+pkgname = python-detect-direct-checkins
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..2003141c078
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+/pkg
+/src
+/*.tar.xz
+/*.tar.gz
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..251ce9bb2e2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Ingo Meyer <i.meyer@fz-juelich.de>
+
+pkgname="python-detect-direct-checkins"
+pkgver="0.1.0"
+pkgrel="1"
+pkgdesc="A utility which detects direct checkins on specific branches."
+arch=("any")
+url="https://github.com/IngoMeyer441/detect-direct-checkins"
+license=("MIT")
+depends=("python")
+makedepends=("python-setuptools")
+source=("https://github.com/IngoMeyer441/detect-direct-checkins/archive/v${pkgver}.tar.gz")
+sha256sums=("3c8a35072890b3c55ab40aa318f4a107ad5bc61381538524e16d65f2db13e4b2")
+
+build() {
+ cd "${srcdir}/${pkgname#*-}-${pkgver}" || return
+ python setup.py build
+}
+
+package() {
+ cd "${srcdir}/${pkgname#*-}-${pkgver}" || return
+ python setup.py install --optimize=1 \
+ --prefix=/usr \
+ --root="${pkgdir}" \
+ --skip-build
+}